{
  lib,
  config,
  namespace,
  ...
}:
let
  inherit (lib) mkIf;
  inherit (lib.${namespace}) mkEnableModule;

  cfg = config.${namespace}.programs.journalctl;
in
{
  options = mkEnableModule "programs.journalctl";

  config = mkIf cfg.enable {
    home.shellAbbrs = {
      jctlf = "sudo journalctl --follow --unit";
      jctle = "sudo journalctl --pager-end --unit";
    };
  };
}
