{
  lib,
  config,
  namespace,
  ...
}:
let
  inherit (lib) mkIf;
  inherit (lib.${namespace}) mkEnableModule;

  cfg = config.${namespace}.programs.ripgrep;
in
{
  options = mkEnableModule "programs.ripgrep";

  config = mkIf cfg.enable {
    programs.ripgrep.enable = true;
  };
}
