{
  lib,
  config,
  namespace,
  ...
}:
let
  inherit (lib) mkIf;
  inherit (lib.${namespace}) mkEnableModule;

  cfg = config.${namespace}.programs.ncmpcpp;
in
{
  options = mkEnableModule "programs.ncmpcpp";

  config = mkIf cfg.enable {
    programs.ncmpcpp.enable = true;
  };
}
