{
  lib,
  config,
  namespace,
  ...
}:
let
  inherit (lib) mkIf enabled;
  inherit (lib.${namespace}) mkEnableModule;

  cfg = config.${namespace}.programs.zathura;
  inherit (config.${namespace}) theme;
in
{
  options = mkEnableModule "programs.zathura";

  config = mkIf cfg.enable {
    programs.zathura = {
      enable = true;

      "${theme.colors.base}" = enabled;
    };
  };
}
